const $btnExportar = document.querySelector("#btnExportar"),
        $tabla = document.querySelector("#tabla");

$btnExportar.addEventListener("click", function () {
    let tableExport = new TableExport($tabla, {
        exportButtons: false, // No queremos botones
        filename: document.getElementById('nombre-tabla').value,
        //filename: "Usuarios", //Nombre del archivo de Excel
        sheetname: document.getElementById('nombre-tabla').value //Título de la hoja
        //sheetname: "Usuarios" //Título de la hoja
    });
    let datos = tableExport.getExportData();
    let preferenciasDocumento = datos.tabla.xlsx;
    tableExport.export2file(preferenciasDocumento.data, preferenciasDocumento.mimeType, preferenciasDocumento.filename, preferenciasDocumento.fileExtension, preferenciasDocumento.merges, preferenciasDocumento.RTL, preferenciasDocumento.sheetname);
});